<template>
    <div>
        <v-app-bar
            app
            fixed
            color="indigo lighten-4"
        >
            <v-app-bar-nav-icon @click="drawer = true" />
            <v-toolbar-title>Welcome to Tv shows search engine project</v-toolbar-title>
            <v-spacer />
        </v-app-bar>
        <v-navigation-drawer
            v-model="drawer"
            absolute
            temporary
        >
            <v-list
                dense
                nav
            >
                <v-list-item-group
                    active-class="deep-purple--text text--accent-4"
                >
                    <router-link
                        :to="{ name: 'Homepage' }"
                        class="routerLink"
                    >
                        <v-list-item>
                            <v-list-item-icon>
                                <v-icon>mdi-home</v-icon>
                            </v-list-item-icon>
                            <v-list-item-title>Homepage</v-list-item-title>
                        </v-list-item>
                    </router-link>
                </v-list-item-group>
            </v-list>
        </v-navigation-drawer>
    </div>
</template>

<script>

export default {
    name: 'AppBar',
    data: () => ({
        drawer: false,
    }),
};
</script>

<style scoped lang="scss" type="text/scss">
  .routerLink {
    text-decoration: none;
  }

</style>
